- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.request_body)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations/create#try-it)

Creates a metastore federation in a project and location.

### HTTP request

`POST https://metastore.googleapis.com/v1beta/{parent}/federations`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The relative resource name of the location in which to create a federation service, in the following form: `projects/{projectNumber}/locations/{locationId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `metastore.federations.create` |

### Query parameters

| Parameters ||
|---|---|
| `federationId` | `string` Required. The ID of the metastore federation, which is used as the final component of the metastore federation's name. This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens. |
| `requestId` | `string` Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request. For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments. The request ID must be a valid [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.federations#Federation`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).